import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router'
import ExplorerView from '../views/ExplorerView.vue'
import LoginView from '../views/LoginView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/#/:location',
      name: 'explorer',
      component: ExplorerView,
    },
    {
      path: '/login',
      name: 'login',
      component: LoginView,
    },
  ]
})

export default router
